<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RDeviceMobility StructType
 * @subpackage Structs
 */
class RDeviceMobility extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The subNet
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subNet;
    /**
     * The subNetMaskSz
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subNetMaskSz;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RDeviceMobility
     * @uses RDeviceMobility::setName()
     * @uses RDeviceMobility::setSubNet()
     * @uses RDeviceMobility::setSubNetMaskSz()
     * @uses RDeviceMobility::setMembers()
     * @uses RDeviceMobility::setUuid()
     * @param string $name
     * @param string $subNet
     * @param string $subNetMaskSz
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $uuid
     */
    public function __construct($name = null, $subNet = null, $subNetMaskSz = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setSubNet($subNet)
            ->setSubNetMaskSz($subNetMaskSz)
            ->setMembers($members)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDeviceMobility
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get subNet value
     * @return string|null
     */
    public function getSubNet()
    {
        return $this->subNet;
    }
    /**
     * Set subNet value
     * @param string $subNet
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDeviceMobility
     */
    public function setSubNet($subNet = null)
    {
        $this->subNet = $subNet;
        return $this;
    }
    /**
     * Get subNetMaskSz value
     * @return string|null
     */
    public function getSubNetMaskSz()
    {
        return $this->subNetMaskSz;
    }
    /**
     * Set subNetMaskSz value
     * @param string $subNetMaskSz
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDeviceMobility
     */
    public function setSubNetMaskSz($subNetMaskSz = null)
    {
        $this->subNetMaskSz = $subNetMaskSz;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDeviceMobility
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RDeviceMobility
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
